タグ別アーカイブ: emacs24.4

visual-regexp-steroids がいつのまにか使えなくなった(emacs24.3)

emacsでPerl風の正規表現を使うやつ で導入して快適に使用していた visual-regexp-steroids 、いつのまにかエラーが出るようになっていた。

void-function pcre2el error

pcre2elは問題なくインストールされている。んんん…?
と思っていたら、ちょっと前にパッケージのアップグレードをした際にpcre2elがアップグレードされており、
その中で with-eval-after-load が使われていたのでした。。。

これ、どうやらemacs24.4から使えるマクロらしい。
私のemacsは24.3。うん、これが原因っぽい。

というわけでpcre2elをダウングレード。無事動くようになりました。
こういうことがあるからアップグレードの際は古いパッケージを消さずに残しておくべきですね。
(package.elでバージョン固定とかの管理がうまいことできればいいんだけどなー)
(というかそろそろemacs24.4を入れるべきか)